wayland::server::zxdg_exporter_v2_t(3)

NAME
wayland::server::zxdg_exporter_v2_t - interface for exporting surfaces

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the xdg_exporter object
std::function< void(zxdg_exported_v2_t, surface_t)> & on_export_toplevel ()
export a toplevel surface
void post_invalid_surface (std::string const &msg)
Post error: surface is not an xdg_toplevel.
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

Detailed Description

interface for exporting surfaces

A global interface used for exporting surfaces that can later be imported using xdg_importer.

Definition at line 8207 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zxdg_exporter_v2_t::on_destroy ()

destroy the xdg_exporter object Notify the compositor that the xdg_exporter object will no longer be used.

Definition at line 7870 of file wayland-server-protocol-unstable.cpp.

  std::function< void(zxdg_exported_v2_t, surface_t)> & zxdg_exporter_v2_t::on_export_toplevel ()

export a toplevel surface

Parameters
    id the new xdg_exported object
    surface the surface to export

The export_toplevel request exports the passed surface so that it can later be imported via xdg_importer. When called, a new xdg_exported object will be created and xdg_exported.handle will be sent immediately. See the corresponding interface and event for details.

A surface may be exported multiple times, and each exported handle may be used to create an xdg_imported multiple times. Only xdg_toplevel equivalent surfaces may be exported, otherwise an invalid_surface protocol error is sent.

Definition at line 7876 of file wayland-server-protocol-unstable.cpp.

  void zxdg_exporter_v2_t::post_invalid_surface (std::string const & msg)

Post error: surface is not an xdg_toplevel.

Definition at line 7882 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Author

Generated automatically by Doxygen for Wayland++ from the source code.